Works on FF 3.5.7 Rated 5 out of 5 stars

Do what Jasherwoo said first
you change the max ver value to 3.5+ in two places.
then in install.rdf
also change the http to https like aplha said.
save...WIN!